.dark {
    --vp-c-text-1: #dfdfd6;
    --vp-c-text-2: #98989f;
    --vp-c-text-3: #6a6a71;

    --vp-c-gray-1: #515c67;
    --vp-c-gray-2: #414853;
    --vp-c-gray-3: #32363f;
    --vp-c-gray-soft: rgba(101, 117, 133, 0.16);
    --vp-c-indigo-1: #a8b1ff;
    --vp-c-indigo-2: #5c73e7;
    --vp-c-indigo-3: #3e63dd;
    --vp-c-indigo-soft: rgba(100, 108, 255, 0.16);
    --vp-c-purple-1: #c8abfa;
    --vp-c-purple-2: #a879e6;
    --vp-c-purple-3: #8e5cd9;
    --vp-c-purple-soft: rgba(159, 122, 234, 0.16);
    --vp-c-green-1: #3dd68c;
    --vp-c-green-2: #30a46c;
    --vp-c-green-3: #298459;
    --vp-c-green-soft: rgba(16, 185, 129, 0.16);
    --vp-c-yellow-1: #f9b44e;
    --vp-c-yellow-2: #da8b17;
    --vp-c-yellow-3: #a46a0a;
    --vp-c-yellow-soft: rgba(234, 179, 8, 0.16);
    --vp-c-red-1: #f66f81;
    --vp-c-red-2: #f14158;
    --vp-c-red-3: #b62a3c;
    --vp-c-red-soft: rgba(244, 63, 94, 0.16);

    --vp-c-border: #3c3f44;
    --vp-c-divider: #2e2e32;
    --vp-c-gutter: #000000;

    --vp-c-bg: #1b1b1f;
    --vp-c-bg-alt: #161618;
    --vp-c-bg-elv: #202127;
    --vp-c-bg-soft: #202127;

    --vp-topbar-height: 64px;
    --vp-navbar-width: 270px;
    --vp-navbar-padding: 30px;
    --vp-navbar-text-indent: 6px;

    --vp-desktop-min-width: 950px;
}

body {
    margin: 0;
    font-family: var(--vp-font-family-base);
    color: var(--vp-c-text-1);
    font-optical-sizing: auto;
    background-color: var(--vp-c-bg);
    overflow: hidden;
    overflow-wrap: break-word;
}

:root {
    --vp-font-family-base: "Inter", ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --vp-font-family-mono: ui-monospace, "Menlo", "Monaco", "Consolas", "Liberation Mono", "Courier New", monospace;

    --vp-code-line-height: 1.7;
    --vp-code-font-size: 0.875em;
}

.vp-layout {
    display: flex;
}


.vp-sidebar {
    transition: transform 0.15s ease-out;
    z-index: 200;

    box-sizing: border-box;
    background-color: var(--vp-c-bg-alt);
    height: 100vh;
    width: var(--vp-navbar-width);
    display: block;
    overflow: scroll;
    padding-left: var(--vp-navbar-padding);
    padding-right: var(--vp-navbar-padding);
    flex-shrink: 0;
    position: relative;

    .vp-sidebar-topbar {
        font-weight: 600;
        font-size: 16px;
        line-height: var(--vp-topbar-height);
        border-bottom: 1px solid var(--vp-c-divider);
        position: sticky;
        top: 0;
        background-color: var(--vp-c-bg-alt);
        z-index: 100;
        padding-left: var(--vp-navbar-text-indent);
        padding-right: var(--vp-navbar-text-indent);

        a {
            color: var(--vp-c-text-1);
            text-decoration: none;
        }
    }

    /* top level */
    .nav-section-title:not(.nav-section-items *) {
        padding-top: 10px;
        padding-left: var(--vp-navbar-text-indent);
        padding-right: var(--vp-navbar-text-indent);
        font-weight: 700;
        color: var(--vp-c-text-1);
        width: 100%;
    }

    .nav-section-items:not(.nav-section-items *) {
        margin-top: -10px;
        padding-left: var(--vp-navbar-text-indent);
        padding-right: var(--vp-navbar-text-indent);
        padding-bottom: 6px;
    }

    :not(.collapsed)>.nav-section-title {
        padding-bottom: 10px;
    }

    .nav-section-title {
        user-select: none;
        color: var(--vp-c-text-2);
        font-weight: 500;
        flex-grow: 1;
        line-height: 30px;
        font-size: 14px;
        transition: color .25s;
        cursor: pointer;
        box-sizing: border-box;
        display: block;
    }

    .nav-section-items a {
        text-decoration: none;
        color: var(--vp-c-text-2);
        font-weight: 500;
        line-height: 30px;
        font-size: 14px;
        transition: color .25s;
    }

    .nav-selected a {
        color: var(--vp-c-indigo-1);
    }

    .nav-section-items .nav-section-items {
        margin-top: -10px;
        margin-bottom: 5px;
    }

    .group:not(.nav-section-items *) {
        padding-bottom: 10px;
    }

    .nav-section-items a:hover {
        color: var(--vp-c-indigo-1);
    }

    .nav-section-title:hover>.chevron {
        opacity: 1;
        color: var(--vp-c-text-2);
    }

    .selected a {
        color: var(--vp-c-indigo-1);
    }

    .group .group .nav-section-items {
        padding-left: 15px;
        margin-left: 1px;

        border-left: 5px solid var(--vp-c-indigo-2);

        .chevron {
            opacity: 0.85;
        }

        .nav-section-items {
            border-left: 5px solid var(--vp-c-purple-2);

            .chevron {
                opacity: 0.7;
            }

            .nav-section-items {
                border-left: 5px solid var(--vp-c-red-2);

                .chevron {
                    opacity: 0.55;
                }

                .nav-section-items {
                    border-left: 5px solid var(--vp-c-yellow-2);

                    .chevron {
                        opacity: 0.4;
                    }


                    .nav-section-items {
                        border-left: 5px solid var(--vp-c-green-2);

                        .nav-section-items {
                            border-left: 5px solid var(--vp-c-gray-2);
                        }
                    }
                }
            }
        }
    }

    .group:not(.nav-section-items *):not(:last-child) {
        border-bottom: 1px solid var(--vp-c-divider);
    }

    .chevron {
        float: right;
        scale: 1.5;
        font-weight: 400;
        color: var(--vp-c-text-3);
        rotate: 90deg;
    }
}

.vp-doc-container {
    max-width: 100%;
    flex-grow: 1;
    overflow: scroll;
    box-sizing: border-box;
    height: 100vh;

    .vp-doc-topbar {
        font-weight: 600;
        font-size: 16px;
        line-height: var(--vp-topbar-height);
        border-bottom: 2px solid var(--vp-c-gutter);
        position: sticky;
        top: 0;
        background-color: var(--vp-c-bg);
        z-index: 100;
        padding-left: calc(var(--vp-navbar-padding) + var(--vp-navbar-text-indent));
        padding-right: calc(var(--vp-navbar-padding) + var(--vp-navbar-text-indent));
        height: var(--vp-topbar-height);

        .vp-doc-topbar-title {
            color: var(--vp-c-text-1);
            text-decoration: none;
            display: none;
        }
    }

    .vp-doc-mobile-bar {
        border-bottom: 1px solid var(--vp-c-gutter);
        background-color: var(--vp-c-bg);
        line-height: 47px;
        padding-left: calc(var(--vp-navbar-padding) + var(--vp-navbar-text-indent));
        padding-right: calc(var(--vp-navbar-padding) + var(--vp-navbar-text-indent));
        display: none;
        position: sticky;
        top: calc(var(--vp-topbar-height) + 2px);
        z-index: 100;

        #vp-mobile-toc-button {
            cursor: pointer;
        }
    }

    .vp-doc {
        padding: 30px;
        max-width: 688px;
        margin-left: auto;
        margin-right: auto;
        display: block;

        hr {
            border: none;
            border-top: 1px solid var(--vp-c-divider);
            height: 0px;
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            position: relative;
            font-weight: 600;
            outline: none;
            margin: 0;
        }

        h1 {
            letter-spacing: -0.02em;
            line-height: 40px;
            font-size: 28px;
        }

        h2 {
            margin: 48px 0 16px;
            border-top: 1px solid var(--vp-c-divider);
            padding-top: 24px;
            letter-spacing: -0.02em;
            line-height: 32px;
            font-size: 24px;
        }

        h3 {
            margin: 32px 0 0;
            letter-spacing: -0.01em;
            line-height: 28px;
            font-size: 20px;
        }

        h4 {
            margin: 24px 0 0;
            letter-spacing: -0.01em;
            line-height: 24px;
            font-size: 18px;
        }

        h5 {
            margin: 5px 0 0;
            letter-spacing: -0.01em;
            line-height: 20px;
            font-size: 17px;
        }

        h6 {
            margin: 5px 0 0;
            letter-spacing: -0.01em;
            line-height: 18px;
            font-size: 16px;
        }

        p {
            line-height: 28px;
        }

        :not(pre)>code {
            border-radius: 4px;
            padding: 3px 6px;
            background-color: var(--vp-c-gray-soft);
            transition: color 0.25s, background-color 0.5s;
        }

        :not(pre, h1, h2, h3, h4, h5, h6)>code {
            font-size: var(--vp-code-font-size);
            color: var(--vp-c-indigo-1);
        }

        a {
            font-weight: 500;
            color: var(--vp-c-indigo-1);
            text-decoration: underline;
            text-underline-offset: 2px;
            transition: color 0.25s, opacity 0.25s;
        }

        a:hover {
            color: var(--vp-c-indigo-3);
        }

        img,
        video {
            max-width: 100%;
            height: auto;
        }

        blockquote {
            margin: 16px 0;
            border-left: 2px solid var(--vp-c-divider);
            padding-left: 16px;
            transition: border-color 0.5s;
            color: var(--vp-c-text-2);
        }

        blockquote>p {
            margin: 0;
            font-size: 16px;
            transition: color 0.5s;
        }

        pre,
        code,
        kbd,
        samp {
            font-family: var(--vp-font-family-mono);
        }

        ul,
        ol {
            padding-left: 1.25rem;
        }

        ul {
            list-style: disc;
        }

        li {
            line-height: 32px;
        }

        table {
            display: block;
            border-collapse: collapse;
            margin: 20px 0;
            overflow-x: auto;
        }

        tr {
            background-color: var(--vp-c-bg);
            border-top: 1px solid var(--vp-c-divider);
            transition: background-color 0.5s;
        }

        th {
            text-align: left;
            font-size: 14px;
            font-weight: 600;
            color: var(--vp-c-text-2);
            background-color: var(--vp-c-bg-soft);
        }

        th,
        td {
            border: 1px solid var(--vp-c-divider);
            padding: 10px 16px;
        }

        tr {
            background-color: var(--vp-c-bg);
            border-top: 1px solid var(--vp-c-divider);
            transition: background-color 0.5s;
        }

        tr:nth-child(2n) {
            background-color: var(--vp-c-bg-soft);
        }

        summary {
            margin: 16px 0;
        }

        mark {
            color: black;
        }
    }
}

#vp-mobile-backdrop {
    position: absolute;
    display: none;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 150;
    background-color: black;
    opacity: 0.5;
}

/* vp-desktop-min-width */
@media only screen and (max-width: 950px) {
    .vp-sidebar {
        transform: translateX(calc(-1 * var(--vp-navbar-width)));
        position: absolute;
        display: block;
    }

    .vp-doc-topbar-title {
        display: block !important;
    }

    .vp-doc-mobile-bar {
        display: block !important;
    }
}
